## cjs 3.6.1

=== debian/changelog ===
cjs (3.6.1-0ubuntu1) bionic; urgency=medium

  * Sync with Debian git repo. Remaining change:
    - Be less strict with symbols file

  [ Fabio Fantoni ]
  * New upstream release (3.4.4).
    Cjs 3.4 has been rebased on gjs 1.48.2.

  [ Jeremy Bicha ]
  * Update symbols file
  * Drop Using-dbus-daemon-directly-in-tests.patch, no longer needed.
  * Have libcjs-dev depend on libcairo2-dev, libglib2.0-dev (>= 2.42.0),
    and libgtk-3-dev to match its pkgconfig file

  [ Maximiliano Curia ]
  * New upstream release (3.4.3).
  * Drop obsolete patch
  * Drop old changelog entry
  * New upstream release (3.6.1).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Mar 2018 16:58:23 -0400
