=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=gir,gnome

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_strip:
	dh_strip --dbgsym-migration='libcjs-dbg (<< 3.0.1-1~)' || dh_strip

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0/ -- -c0
