## cjs 3.6.1%2Bsylvia

=== debian/changelog ===
cjs (3.6.1+sylvia) sylvia; urgency=medium

  [ Simon Brown ]
  * cairo: Free popped pattern (#59)
  * value: Fix memory leak while marshalling GValue (#57)
  * arg: Fix memory leaks (#58)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Nov 2017 13:31:37 +0000

cjs (3.6.0) sylvia; urgency=medium

  [ leigh123linux ]
  * object: Keep proper track of pending closure invalidations
  * revert b66d7c2965f20c2cf51628840682c404a01bf408

  [ Michael Webster ]
  * Add a debug package.

  [ Jason Hicks ]
  * object: Zero out new ConnectData

  [ Clement Lefebvre ]
  * Update README
  * Add a README.md

  [ Philip Chimento ]
  * Revert freeing closures in idle handler
  * closure: Prevent collection of invalidated closure

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 21 Oct 2017 13:49:00 +0100
