## cjs 3.8.0

=== debian/changelog ===
cjs (3.8.0-4~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 10:39:44 -0800

cjs (3.8.0-4) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Update symbols files (Closes: 905249)
    Thanks to Jeremy Bicha for the report
  * Release to unstable

  [ Jeremy Bicha ]
  * Build-Depend on dbus. Drop unnecessary Build-Depends on automake

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:35 +0200

cjs (3.8.0-3) experimental; urgency=medium

  * New revision
  * Use the symbolshelper from pkg-kde-tools
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 May 2018 16:15:18 +0200

cjs (3.8.0-2) experimental; urgency=medium

  * New revision
  * Update symbols files from buildds logs (3.8.0-1).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 May 2018 19:52:06 +0200

cjs (3.8.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Update symbols file
  * Drop Using-dbus-daemon-directly-in-tests.patch, no longer needed.
  * Have libcjs-dev depend on libcairo2-dev, libglib2.0-dev (>= 2.42.0),
    and libgtk-3-dev to match its pkgconfig file

  [ Maximiliano Curia ]
  * New upstream release (3.8.0). (Closes: 879575)
    Cjs 3.8 has been rebased on gjs 1.50.2.
  * Drop obsolete patch
  * Drop old changelog entry
  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * Drop dh's parallel arg (no longer needed with dh >= 10)
  * Bump Standards-Version to 4.1.4.
  * Bump mozjs dependency
  * Drop no longer needed autotools-dev build dep
  * Update symbols files, bump cinnamon breaks
  * Use dh_missing instead of the deprecated dh_install --list-missing
  * Drop dh_makeshlibs override, nothing is being installed
    in /usr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0
  * Update copyright information
  * Drop auto test build deps
  * Reenable acc test
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:16 +0200
