=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: cjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
- at-spi2-core,
  autoconf-archive,
- automake,
- autotools-dev,
  dbus,
- dbus-x11,
  debhelper (>= 11~),
  gnome-pkg-tools,
  gobject-introspection (>= 1.46.0),
@@ -21,11 +17,11 @@
  libgirepository1.0-dev (>= 1.46.0),
  libglib2.0-dev (>= 2.42.0),
  libgtk-3-dev,
- libmozjs-38-dev,
+ libmozjs-52-dev,
  libreadline-dev,
+ pkg-kde-tools,
  pkg-config,
- xvfb,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git
@@ -42,6 +38,7 @@
  uses.
  .
  This package contains the interactive console application.
+Breaks: cinnamon (<< 3.8)
 
 Package: libcjs-dev
 Section: libdevel
@@ -53,7 +50,7 @@
  libgirepository1.0-dev (>= 1.41.4),
  libglib2.0-dev (>= 2.42.0),
  libgtk-3-dev,
- libmozjs-38-dev,
+ libmozjs-52-dev,
  ${misc:Depends},
 Description: Mozilla-based javascript bindings for the Cinnamon platform
  Makes it possible for applications to use all of Cinnamon's platform
@@ -73,7 +70,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${cjs:Provides}
-Breaks: cinnamon (<< 3~)
+Breaks: cinnamon (<< 3.8)
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
