=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=gir,gnome,pkgkde_symbolshelper

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_gnome_clean:
	dh_gnome_clean --no-control

#override_dh_strip:
#	dh_strip --dbgsym-migration='libcjs-dbg (<< 3.0.1-1~)' || dh_strip

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
	# Disable
	# make -k check VERBOSE=1
	:

override_dh_strip:
	dh_strip --no-automatic-dbgsym
