## cjs 4.0.0

=== debian/changelog ===
cjs (4.0.0-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Add new upstream patch: Fix-new-autoconf-archive-compile-issue-73.patch
  * Release to unstable

  [ Norbert Preining ]
  * update symbols files from all archs

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Sep 2019 10:03:33 +0200

cjs (4.0.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Update symbols files.
    Thanks to Santiago Vila for the report (Closes: 923903)
  * Add a basic gbp.conf
  * Add a debian/salsa-ci.yml file
  * Update symbols file
  * Release to unstable

  [ Jeremy Bicha ]
  * debian/libcjs0.symbols: Mark a symbol as optional that disappears on ppc64el with -O3

  [ Norbert Preining ]
  * New upstream release (4.0.0)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:49 -0300
