## cjs 4.0.0+tessa

=== debian/changelog ===
cjs (4.0.0+tessa) tessa; urgency=medium

  [ Giovanni Campagna ]
  * Add marshalling for native JS errors

  [ Jason Hicks ]
  * object: Associate callbacks with the object on which they're installed

  [ Giovanni Campagna ]
  * Use the GIVFuncInfo to hook up vfuncs instead of the GICallbackInfo
  * Capture JS exceptions from invoked virtual functions

  [ Jason Hicks ]
  * global: Add a bootstrap system
  * coverage: Use global bootstrap to add JS coverage code
  * coverage: Don't error out on various files
  * coverage: Scan ES6 classes for functions

  [ Philip Chimento ]
  * coverage: Correct AST walking for labelled statements
  * coverage: Walk AST in more cases

  [ Jason Hicks ]
  * coverage: Refactor bootstrap code to use ES6 classes

  [ Philip Chimento ]
  * error: Use JSProtoKey to get Error constructor
  * object: Remove hash-x32 implementation
  * object: Merge weak_pointer_list and dissociate_list
  * object: Remove vfunc list

  [ Jason Hicks ]
  * jsapi-util: Remove jsapi-private
  * tests: Use assertions in coverage tests

  [ Philip Chimento ]
  * js: Convert scripts to UTF-16 before evaluating

  [ Jason Hicks ]
  * coverage: Use LCOV data from SpiderMonkey

  [ Philip Chimento ]
  * coverage: Propagate gjs_coverage_write_statistics() errors
  * tests: Add regression test for vfunc crash avoidance
  * jsapi-util-string: Use mozjs UTF8-to-JSString conversion
  * jsapi-util-string: Missing error check
  * importer: Missing error check
  * jsapi-util: Improve check for SyntaxError
  * js: Use JS_EncodeStringToUTF8() directly where advantageous
  * param, importer: Spurious error when resolving non-string
  * js: Don't convert to UTF-8 to compare ASCII names
  * suppressions: Eliminate machine-dependent expressions

  [ Marco Trevisan (Treviño) ]
  * object: check in gjs_typecheck_object if the object has been finalized
  * object: don't resolve or set,get properties on finalized elements
  * object: add better logging when invalid access happens
  * object: reset the keep alive flag on wrapper when object is disposed
  * installed-tests/js: add testGObjectDestructionAccess to verify access to destryed objects

  [ Philip Chimento ]
  * object: Leave out param untouched on error

  [ Jason Hicks ]
  * maint: highlight the license
  * release: Add NEWS for 1.51.3

  [ Andy Holmes ]
  * Amend gtk-application.js
  * mv gtk-window.js to amend gtk.js, including suggestions

  [ makepost ]
  * arg: String as GdkAtom, and GdkAtom as string

  [ Valentín Barros ]
  * Test case improved in `installed-tests/js/testCairo.js` [fixes #27]

  [ Marco Trevisan (Treviño) ]
  * object: Only show critical errors on access to finalized objects
    (Closes: #21)

  [ Philip Chimento ]
  * coverage: Remove unused JSCompartmentOptions
  * js: Remove unnecessary property getters and setters

  [ Marco Trevisan (Treviño) ]
  * object: Show error when using proto functions (connect*, emit) on destroyed object
  * object: make clear in toString() proto method when the object is finalized
  * proxyutils: remove trailing spaces

  [ Philip Chimento ]
  * release: Prepare for 1.51.4
  * arg: Marshal GType of 0 to null
  * release: Include NEWS from 1.50.3

  [ Jason Hicks ]
  * profiler: add SPSProfiler implementation

  [ Philip Chimento ]
  * profiler: Implement --profile flag behaviour
  * profiler: Allow enabling with GJS_ENABLE_PROFILER=1
  * profiler: Disable profiler in interactive mode
  * profiler: Disable SIGUSR2 start/stop

  [ Jason Hicks ]
  * profiler: Suppress cppcheck warning
  * profiler: Allow configuring with --disable-profiler
  * profiler: Always activate profiler if GJS_ENABLE_PROFILER=1

  [ Philip Chimento ]
  * foreign: Use gjs_eval_with_scope() instead of public API

  [ Jason Hicks ]
  * profiler: Reduce API surface

  [ Philip Chimento ]
  * object: Restore resolve return value
  * tests: Don't compare Rooted<T> against NULL
  * tests: Add pending test for composite template subclass
  * maint: Fix obsolete comments on resolve hooks
  * js: Remove context from GjsAutoJSChar

  [ Jason Hicks ]
  * Fix overwriting of libcjs_la_SOURCES

  [ Philip Chimento ]
  * jsapi-util-string: Fix return of gjs_get_string_id()
  * Revert "object: reset the keep alive flag on wrapper when object is disposed"
  * release: Include NEWS from 1.50.4
  * maint: Update DOAP file

  [ Jason Hicks ]
  * Allow using GObject.signal_* functions in place of Object methods

  [ Simon McVittie ]
  * gjs_callback_closure: Log uncatchable exceptions, don't just exit
  * gjs_callback_closure: Use g_error, not exit, on uncatchable exceptions
  * _gjs_context_run_jobs: Log uncatchable exceptions, except System.exit()
  * gjs_context_eval: Use different GError message for uncatchable exceptions
  * gjs_context_eval: Log a critical on uncatchable exceptions

  [ Philip Chimento ]
  * build: Install suppressions files

  [ Jason Hicks ]
  * Rename gjs-1.0
  * CI: use a more robuts test for profiling dumping

  [ Philip Chimento ]
  * release: Prepare for 1.51.90
  * build: Ignore -Wcast-function-type in G_DEFINE_TYPE
  * jsapi-dynamic-class: Use interned strings to link prototype

  [ Giovanni Campagna ]
  * function: move completed trampolines out of gjs_invoke_c_function

  [ Philip Chimento ]
  * function: Fix outdated comment

  [ Giovanni Campagna ]
  * tests: Add tests for GObject-valued properties

  [ Philip Chimento ]
  * profiler: Remove unused function in !ENABLE_PROFILER case

  [ Ting-Wei Lan ]
  * profiler: Don't include alloca.h when disabled

  [ Philip Chimento ]
  * toggle: Add debug logging
  * context: Add more debug logging to dispose
  * log: Allow logging thread ID of each message
  * context: Shut down toggle queue before dispose notify

  [ Jason Hicks ]
  * context: Fix usage of g_idle_add for resolving promises

  [ Philip Chimento ]
  * release: Prepare for 1.51.91
  * function: Refactor "callback blocked" message into helper function

