## cjs 4.2.0

=== debian/changelog ===
cjs (4.2.0-4) unstable; urgency=medium

  * Bump b-d on libgirepository1.0-dev and libff-dev (Closes: #950217)

 -- Norbert Preining <norbert@preining.info>  Thu, 30 Jan 2020 19:39:50 +0900

cjs (4.2.0-3) unstable; urgency=medium

  * Upload to unstable
  * Remove upstream included patches

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:36:14 +0900

cjs (4.2.0-2) experimental; urgency=medium

  * Update symbols file for all architectures

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Sep 2019 09:10:30 +0900

cjs (4.2.0-1) experimental; urgency=medium

  * New upstream release (4.2.0)
  * Update symbols files.
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:59:11 +0900
