=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  autoconf-archive,
  dbus,
@@ -13,7 +14,8 @@
  gnome-pkg-tools,
  gobject-introspection (>= 1.46.0),
  libcairo2-dev,
- libgirepository1.0-dev (>= 1.46.0),
+ libffi-dev (>= 3.3),
+ libgirepository1.0-dev (>= 1.62.0-4~),
  libglib2.0-dev (>= 2.42.0),
  libgtk-3-dev,
  libmozjs-52-dev,
