## cjs 4.2.0+tina

=== debian/changelog ===
cjs (4.2.0+tina) tina; urgency=medium

  [ Eli Schwartz ]
  * update deprecated glib function (#72)

  [ Leigh Scott ]
  * Fix new autoconf-archive compile issue (#73)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:43:24 +0100
