## cjs 4.4.0

=== debian/changelog ===
cjs (4.4.0-4) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Bump reverse-deps to avoid partial upgrade on testing migration

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Feb 2020 22:48:13 +0900

cjs (4.4.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:42:43 +0900

cjs (4.4.0-2) experimental; urgency=medium

  * Bump b-d on libgirepository1.0-dev and libff-dev (Closes: #950217)

 -- Norbert Preining <norbert@preining.info>  Thu, 30 Jan 2020 19:40:35 +0900

cjs (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0 (new functional change to cjs 4.2.0)

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:59:04 +0900
