=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control
 
-#override_dh_strip:
-#	dh_strip --dbgsym-migration='libcjs-dbg (<< 3.0.1-1~)' || dh_strip
+override_dh_strip:
+	dh_strip --dbgsym-migration='libcjs-dbg (<< 3.0.1-1~)' || dh_strip
 
 override_dh_missing:
 	dh_missing --list-missing
@@ -22,6 +22,3 @@
 	# Disable
 	# make -k check VERBOSE=1
 	:
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
