=== debian/tests/control ===
# TODO: GDbus and EverythingBasic are failing
# Tests: testsuite
# Depends: @, @builddeps@, build-essential, procps, dbus, xvfb, xauth, uuid-runtime
# Restrictions: build-needed allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

Tests: build
Depends: libcjs-dev, build-essential

# No installed tests
# Tests: installed-tests
# Depends: gjs-tests, dbus, xvfb, gnome-desktop-testing
