## cjs 4.4.0%2Btricia

=== debian/changelog ===
cjs (4.4.0+tricia) tricia; urgency=medium

  * 4.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 11:42:59 +0100

cjs (4.2.0) tina; urgency=medium

  [ Eli Schwartz ]
  * update deprecated glib function (#72)

  [ Leigh Scott ]
  * Fix new autoconf-archive compile issue (#73)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:43:24 +0100
