## cjs 4.6.0

=== debian/changelog ===
cjs (4.6.0-2ubuntu1) groovy; urgency=medium

  * Build with gcc-9 to prevent symbol changes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Aug 2020 14:06:48 +0100

cjs (4.6.0-2build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:03:12 +0000

cjs (4.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:59:21 +0900

cjs (4.6.0-1) experimental; urgency=medium

  * New upstream version 4.6.0

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 23:23:49 +0900
