=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -21,7 +22,7 @@
  libmozjs-52-dev,
  libreadline-dev,
  pkg-kde-tools,
- pkg-config,
+ pkg-config, gcc-9, g++-9
 Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
@@ -39,7 +40,7 @@
  uses.
  .
  This package contains the interactive console application.
-Breaks: cinnamon (<< 4.4)
+Breaks: cinnamon (<< 4.6~)
 
 Package: libcjs-dev
 Section: libdevel
@@ -71,7 +72,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${cjs:Provides}
-Breaks: cinnamon (<< 4.4)
+Breaks: cinnamon (<< 4.6~)
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
