## cjs 4.8.1

=== debian/changelog ===
cjs (4.8.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:59 +0900

cjs (4.8.1-1) experimental; urgency=medium

  * New upstream version 4.8.1

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 19:45:16 +0900

cjs (4.8.0-1) experimental; urgency=medium

  * New upstream version 4.8.0 (Closes: #963833, #975849)
  * remove mozjs patch, included upstream
  * Use meson option instead of d/not-installed.
  * Bump inter-cinnamon deps to 4.8

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 10:32:16 +0900

cjs (4.6.0-3) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Add missing libxml2-utils build-dep.

  [ Norbert Preining ]
  * Switch to libmozjs-78 (see https://github.com/linuxmint/cjs/pull/84)
    (Closes: #908234)

 -- Norbert Preining <norbert@preining.info>  Tue, 29 Sep 2020 10:16:13 +0900
